//
//  ViewController.m
//  TableAlertDemo-master
//
//  Created by SiYugui on 2017/9/5.
//  Copyright © 2017年 SiYugui. All rights reserved.
//

#import "ViewController.h"
#import "XHJTableAlert.h"

@interface ViewController ()
@property (nonatomic,strong) UILabel *lab;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    UIButton *btn = [[UIButton alloc] initWithFrame:CGRectMake(0, 0, 100, 40)];
    btn.center = self.view.center;
    [btn setTitle:@"show" forState:UIControlStateNormal];
    btn.backgroundColor = [UIColor lightGrayColor];
    [btn addTarget:self action:@selector(showAlert) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:btn];
    
    UILabel *lab = [[UILabel alloc] initWithFrame:CGRectMake(40, 40, self.view.frame.size.width-80, 40)];
    lab.textColor = [UIColor blackColor];
    [self.view addSubview:lab];
    _lab = lab;
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

-(void)showAlert{
    XHJTableAlert *alert = [XHJTableAlert tableAlertWithTitle:@"选择用户" cancelButtonTitle:@"取消" numberOfRows:^NSInteger(NSInteger row) {
        return 5;
    } andCell:^UITableViewCell *(XHJTableAlert *tableAlert, NSIndexPath *indexPath) {
        static NSString *CellIdentifier = @"CellIdentifier";
        UITableViewCell *cell = [tableAlert.tableView dequeueReusableCellWithIdentifier:CellIdentifier];
        if (cell == nil){
            cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:CellIdentifier];
        }
        
        // 禁止选中时高亮
        //cell.selectionStyle = UITableViewCellSelectionStyleNone;
        //[cell setSelectionStyle:UITableViewCellSelectionStyleNone];
        
        cell.textLabel.text = @"王小二";
        cell.detailTextLabel.text = @"212108198801081889";
        cell.backgroundView = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"MLTableAlertCellBg"]];
        return cell;
        
    }];
    
    [alert configureSelectionBlock:^(NSIndexPath *selindexPath){
        
        _lab.text = [NSString stringWithFormat:@"选择了%ld行",selindexPath.row];
        NSLog(@"点击了%d",(int)selindexPath.row);
        
    } andCompletionBlock:^{
        
    }];
    
    [alert show];

}

@end
